Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/postapi-v-1-custom-objects-object-type-id-list

# List custom objects with filtering and sorting

POST `https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### objectTypeId (path, integer, required)

The object type ID to scope results to

## Body

#### filters (body, array of object)

Optional filter conditions

#### properties

#### attribute (string)

#### operator (enum (string))

#### values (array of object)

#### sort (body, enum (string))

Sort order for custom object list view results

#### scope (body, enum (string))

Scope of the object type (GLOBAL or WORKSPACE)

#### workspace\_id (body, integer)

Workspace ID for cross-type queries. Required when scope=WORKSPACE
in cross-type list calls (when objectTypeId is absent).

#### page (body, integer)

Page number (1-based)

#### page\_size (body, integer)

Number of records per page

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"filters": [{"attribute": "string", "operator": "EQUALS", "values": ["\u2026"]}], "sort": "CREATED_AT_ASC", "scope": "GLOBAL", "workspace_id": 0, "page": 0, "page_size": 0}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"filters": [{"attribute": "string", "operator": "EQUALS", "values": ["\u2026"]}], "sort": "CREATED_AT_ASC", "scope": "GLOBAL", "workspace_id": 0, "page": 0, "page_size": 0}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list',
    headers={'X-Api-Key': '<api-key>'},
    json={"filters": [{"attribute": "string", "operator": "EQUALS", "values": ["\u2026"]}], "sort": "CREATED_AT_ASC", "scope": "GLOBAL", "workspace_id": 0, "page": 0, "page_size": 0}
)
data = res.json()
```
